Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geomgraph
Class EdgeIntersection

    java.lang.Object
      com.vividsolutions.jts.geomgraph.EdgeIntersection

All Implemented Interfaces:
  java.lang.Comparable

    public class EdgeIntersection

extends java.lang.Object
implements java.lang.Comparable

Represents a point on an edge which intersects with another edge.

The intersection may either be a single point, or a line segment (in which case this point is the start of the line segment) The intersection point must be precise.

Version:
  1.7

Field Summary
`Coordinate` | `coord`
`double` | `dist`
`int` | `segmentIndex`

Constructor Summary
`EdgeIntersection(Coordinate coord, int segmentIndex, double dist)`

Method Summary
`int` | `compare(int segmentIndex, double dist)`
`int` | `compareTo(java.lang.Object obj)`
`Coordinate` | `getCoordinate()`
`double` | `getDistance()`
`int` | `getSegmentIndex()`
`boolean` | `isEndPoint(int maxSegmentIndex)`
`void` | `print(java.io.PrintStream out)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### coord

    public Coordinate coord

### segmentIndex

    public int segmentIndex

### dist

    public double dist

Constructor Detail

### EdgeIntersection

    public EdgeIntersection(Coordinate coord,
                            int segmentIndex,
                            double dist)

Method Detail

### getCoordinate

    public Coordinate getCoordinate()

### getSegmentIndex

    public int getSegmentIndex()

### getDistance

    public double getDistance()

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### compare

    public int compare(int segmentIndex,
                       double dist)

  Returns:
    -1 this EdgeIntersection is located before the argument location

### isEndPoint

    public boolean isEndPoint(int maxSegmentIndex)

### print

    public void print(java.io.PrintStream out)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD